RowIteratorFactory (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class RowIteratorFactory

    java.lang.Object
      org.apache.cassandra.db.RowIteratorFactory

    public class RowIteratorFactory

extends java.lang.Object

Constructor Summary
`RowIteratorFactory()`

Method Summary
`static CloseableIterator<Row>` | `getIterator(java.lang.Iterable<Memtable> memtables, java.util.Collection<SSTableReader> sstables, DecoratedKey startWith, DecoratedKey stopAt, QueryFilter filter, AbstractType comparator, ColumnFamilyStore cfs)` Get a row iterator over the provided memtables and sstables, between the provided keys and filtered by the queryfilter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowIteratorFactory

    public RowIteratorFactory()

Method Detail

### getIterator

    public static CloseableIterator<Row> getIterator(java.lang.Iterable<Memtable> memtables,
                                                     java.util.Collection<SSTableReader> sstables,
                                                     DecoratedKey startWith,
                                                     DecoratedKey stopAt,
                                                     QueryFilter filter,
                                                     AbstractType comparator,
                                                     ColumnFamilyStore cfs)

  Get a row iterator over the provided memtables and sstables, between the provided keys and filtered by the queryfilter.

  Parameters:
    `memtables` - Memtables pending flush.
    `sstables` - SStables to scan through.
    `startWith` - Start at this key
    `stopAt` - Stop and this key
    `filter` - Used to decide which columns to pull out
    `comparator` -
  Returns:
    A row iterator following all the given restrictions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation